Subject: Guarana

From: [email-masked] (Cameron Brown)
Date: 1 Dec 1994 13:02:12 GMT

Does anyone know where I can obtain seeds for  Paullinia Cupana? it is 
reputedly the raw material for the Guarana drink, native to the Amazon 
basin, details of a supplier of the seeds or any information would be 
welcome.

Thank you in advance
Cameron Brown.